/*
 * StringDiff.cpp
 *
 *  Created on: Apr 4, 2017
 *      Author: Tomas Pecka
 */

#include "StringDiff.h"
#include <registration/AlgoRegistration.hpp>

namespace compare {

auto StringDiffLinear = registration::AbstractRegister < StringDiff, std::string, const string::LinearString < > &, const string::LinearString < > & > ( StringDiff::diff );
auto StringDiffCyclic = registration::AbstractRegister < StringDiff, std::string, const string::CyclicString < > &, const string::CyclicString < > & > ( StringDiff::diff );

} /* namespace compare */
